Cids the provided policy, and all the included controls. All items are stored in the blob store.
POST
/gov/v1/cid/policy
const url = 'https://example.com/gov/v1/cid/policy';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"control":[{"citation":[{"title":"example","url":"example"}],"controlCode":"ADAIP-RIS-044","description":"Must ensure equitable access for all individuals and groups.","extra":{"additionalProperty":"example"},"title":"Ensuring Equitable Access"}],"description":"Framework for ethical AI development.","extra":{"additionalProperty":"example"},"name":"EUAI Act","version":"1.0.2"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/gov/v1/cid/policy \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "control": [ { "citation": [ { "title": "example", "url": "example" } ], "controlCode": "ADAIP-RIS-044", "description": "Must ensure equitable access for all individuals and groups.", "extra": { "additionalProperty": "example" }, "title": "Ensuring Equitable Access" } ], "description": "Framework for ethical AI development.", "extra": { "additionalProperty": "example" }, "name": "EUAI Act", "version": "1.0.2" }'Cids the provided policy, and all the included controls. All items are stored in the blob store. Returns the CID of the entire policy and each control.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
control
Array<object>
object
citation
Array<object>
object
title
string
url
string
controlCode
required
string
Example
ADAIP-RIS-044 description
string
Example
Must ensure equitable access for all individuals and groups. extra
object
key
additional properties
title
required
string
Example
Ensuring Equitable Access description
string
Example
Framework for ethical AI development. extra
object
key
additional properties
name
required
string
Example
EUAI Act version
string
Example
1.0.2Responses
Section titled “ Responses ”The CIDs of the Policy and each Control.
Media type application/json
object
controls
required
object
key
additional properties
string
policy
required
string
Example generated
{ "controls": { "additionalProperty": "example" }, "policy": "example"}